@import 'https://fonts.googleapis.com/css2?family=Open+Sans:wght@500&family=Roboto:wght@500&display=swap'
@import "../../style/vars"

.panels
  height: 100%

  display: flex
  flex-direction: row

.menu
  max-width: 320px
  width: 30%
  height: 100%
  padding: 32px 48px

  display: flex
  flex-direction: column
  align-items: center
  gap: 48px

  background: var(--bg-color)

.logo
  width: 172px
  height: 32px
  fill: var(--text-color)

.workspace
  width: 100%

  display: flex
  flex-direction: column

  background: var(--bg-color)

.header
  width: 100%
  height: 64px
  padding: 16px 24px

  display: flex
  flex-direction: row
  justify-content: space-between
  align-items: center
  gap: 10px

.header-left
  display: flex
  flex-direction: row
  justify-content: center
  align-items: center
  gap: 16px

.header-right
  display: flex
  flex-direction: row
  justify-content: center
  align-items: center
  gap: 16px

.action-control
  display: flex
  flex-direction: row
  align-items: flex-start
  gap: 8px

.icon
  width: 28px
  height: 28px

  cursor: pointer
  transition: all 0.1s ease-in
  fill: var(--text-color)

  &:hover
    transform: scale(1.1)

  &:active
    transform: scale(0.9)

.inactive-icon
  opacity: 0.5

  cursor: auto

  &:hover, &:active
    transform: none

.title
  font-family: 'Roboto'
  font-style: normal
  font-weight: 500
  font-size: 22px
  line-height: 26px
  letter-spacing: 0.02em
  color: var(--text-color)

.content
  width: 100%
  height: 100%
  padding: 64px 96px
  gap: 32px

  display: flex
  flex-direction: column
  align-items: flex-start
  overflow-y: scroll

  background: var(--content-color)
  border-radius: 24px 0 0 0
  box-shadow: inset 0px 2px 16px rgba(0, 0, 0, 0.1)
